<?php


/**
 * @file
 * Class for comments metric.
 */

class SamplerMetricComments extends SamplerSingleObjectMetric {

  public function computeSample() {

    // Load options.
    $sample = $this->currentSample;

    // Comments created during the sample period.
    $period_comments = db_result(db_query_slave("SELECT COUNT(cid) AS count FROM {comments} WHERE timestamp >= %d AND timestamp < %d", $sample->sample_startstamp, $sample->sample_endstamp));
    // Total comments created through the end of the sample period.
    $total_comments = db_result(db_query_slave("SELECT COUNT(cid) AS count FROM {comments} WHERE timestamp < %d", $sample->sample_endstamp));

    $this->currentSample->values = array(
      parent::OBJECT_ID => array(
        'period_comments' => intval($period_comments),
        'total_comments' => intval($total_comments),
      ),
    );
  }
}
