<?php


/**
 * @file
 * Class for nodes metric.
 */

class SamplerMetricNodes extends SamplerSingleObjectMetric {

  public function computeSample() {

    // Load options.
    $sample = $this->currentSample;

    // Nodes created during the sample period.
    $period_nodes = db_result(db_query_slave("SELECT COUNT(nid) AS count FROM {node} WHERE created >= %d AND created < %d", $sample->sample_startstamp, $sample->sample_endstamp));
    // Total nodes created through the end of the sample period.
    $total_nodes = db_result(db_query_slave("SELECT COUNT(nid) AS count FROM {node} WHERE created < %d", $sample->sample_endstamp));

    $this->currentSample->values = array(
      parent::OBJECT_ID => array(
        'period_nodes' => intval($period_nodes),
        'total_nodes' => intval($total_nodes),
      ),
    );
  }
}
