<?php


/**
 * @file
 * Class for users metric.
 */

class SamplerMetricUsers extends SamplerSingleObjectMetric {

  public function computeSample() {

    // Load options.
    $sample = $this->currentSample;

    // Users created during the sample period.
    $period_users = db_result(db_query_slave("SELECT COUNT(uid) AS count FROM {users} WHERE created >= %d AND created < %d", $sample->sample_startstamp, $sample->sample_endstamp));
    // Total nodes created through the end of the sample period.
    $total_users = db_result(db_query_slave("SELECT COUNT(uid) AS count FROM {users} WHERE created < %d", $sample->sample_endstamp));

    $this->currentSample->values = array(
      parent::OBJECT_ID => array(
        'period_users' => intval($period_users),
        'total_users' => intval($total_users),
      ),
    );
  }
}
