<?php


/**
 * @file
 * Class for node_body_contains_phrase metric.
 */

class  SamplerExampleMetricNodeBodyContainsPhrase extends SamplerMetric {

  // Since an object type of 'all nodes' only has one object ID, provide that
  // here as a constant.
  const ALL_NODES_OBJECT_ID = 1;

  public function computeSample() {

    // Load options.
    $sample = $this->currentSample;

    // Check for a custom phrase.
    if (isset($sample->options['node_body_search_phrase'])) {
      $phrase = $sample->options['node_body_search_phrase'];
    }
    // Fall back to a default so we can search on something.
    else {
      $phrase = 'module';
    }

    // The 'all nodes' object type only ever has one object ID, so we don't need
    // to worry about anything passed in object_ids -- just return the single metric
    // value asked for.
    $value = db_result(db_query_slave("SELECT COUNT(n.nid) AS count FROM {node} n INNER JOIN {node_revisions} nr ON n.vid = nr.vid WHERE n.created > %d AND n.created < %d AND nr.body LIKE '%%%s%%'", $sample->sample_startstamp, $sample->sample_endstamp, $phrase));
    $this->currentSample->values = array(
      self::ALL_NODES_OBJECT_ID => array(
        'nodes' => $value,
      ),
    );
  }

  public function trackObjectIDs() {

    // We're tracking these metric across all nodes, which only ever has one
    // object_id, so we just hard code it.
    $object_ids = array(self::ALL_NODES_OBJECT_ID);
    return $object_ids;
  }
}
