<?php


/**
 * @file
 * Class for nodes_vs_users_vs_comments metric.
 */

class  SamplerExampleMetricNodesVsUsersVsComments extends SamplerMetric {

  // Since this metric only has one object ID, provide that here as a constant.
  const OBJECT_ID = 1;

  public function computeSample() {

    // Load options.
    $sample = $this->currentSample;

    // Compute nodes, users, and comments created during the period.
    $nodes = db_result(db_query_slave("SELECT COUNT(nid) AS count FROM {node} WHERE created > %d AND created < %d", $sample->sample_startstamp, $sample->sample_endstamp));
    $users = db_result(db_query_slave("SELECT COUNT(uid) AS count FROM {users} WHERE created > %d AND created < %d", $sample->sample_startstamp, $sample->sample_endstamp));
    $comments = db_result(db_query_slave("SELECT COUNT(cid) AS count FROM {comments} WHERE timestamp > %d AND timestamp < %d", $sample->sample_startstamp, $sample->sample_endstamp));


    $this->currentSample->values = array(
      self::OBJECT_ID => array(
        'nodes' => $nodes,
        'users' => $users,
        'comments' => $comments,
      ),
    );
  }

  public function trackObjectIDs() {
    // We're tracking these metric across all nodes and users, which only ever
    // has one object_id, so we just hard code it.
    $object_ids = array(self::OBJECT_ID);
    return $object_ids;
  }
}
